Subject: git coreutils ./bootstrap failure

From: "David L. Craig" <[email-masked]>
Date: Mon, 26 Apr 2021 10:29:44 +0000

I followed the README-hacking instructions which led me to install
texinfo on the CRUX 3.6 (http://crux.nu) platform I'm using for this,
then invoked ./bootstrap which produced the following failure:

> [...]
> Don't forget to
>   - "include gnulib.mk" from within "lib/Makefile.am",
>   - "include gnulib.mk" from within "gnulib-tests/Makefile.am",
>   - mention "-I m4" in ACLOCAL_AMFLAGS in Makefile.am,
>   - mention "m4/gnulib-cache.m4" in EXTRA_DIST in Makefile.am,
>   - invoke gl_EARLY in ./configure.ac, right after AC_PROG_CC_STDC,
>   - invoke gl_INIT in ./configure.ac.
> prefix=lib/
> running: AUTOPOINT=true LIBTOOLIZE=true autoreconf --verbose --install --force -I m4  --no-recursive
> autoreconf: export WARNINGS=
> autoreconf: Entering directory '.'
> autoreconf: running: true --force
> autoreconf: running: aclocal -I m4 --force -I m4
> autoreconf: configure.ac: tracing
> autoreconf: configure.ac: not using Libtool
> autoreconf: configure.ac: not using Intltool
> autoreconf: configure.ac: not using Gtkdoc
> autoreconf: running: /usr/bin/autoconf --include=m4 --force
> configure.ac:55: warning: The macro `AC_PROG_CC_STDC' is obsolete.
> configure.ac:55: You should run autoupdate.
> ./lib/autoconf/c.m4:1666: AC_PROG_CC_STDC is expanded from...
> configure.ac:55: the top level
> configure.ac:63: warning: The macro `AC_HELP_STRING' is obsolete.
> configure.ac:63: You should run autoupdate.
> ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
> m4/gnulib-comp.m4:924: gl_INIT is expanded from...
> configure.ac:63: the top level
> configure.ac:64: warning: The macro `AC_ISC_POSIX' is obsolete.
> configure.ac:64: You should run autoupdate.
> ./lib/autoconf/specific.m4:550: AC_ISC_POSIX is expanded from...
> m4/jm-macros.m4:22: coreutils_MACROS is expanded from...
> configure.ac:64: the top level
> configure.ac:64: warning: The macro `AC_HEADER_TIME' is obsolete.
> configure.ac:64: You should run autoupdate.
> ./lib/autoconf/headers.m4:743: AC_HEADER_TIME is expanded from...
> m4/check-decl.m4:14: gl_CHECK_DECLS is expanded from...
> m4/jm-macros.m4:22: coreutils_MACROS is expanded from...
> configure.ac:64: the top level
> configure.ac:64: warning: The macro `AC_HELP_STRING' is obsolete.
> configure.ac:64: You should run autoupdate.
> ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
> m4/xattr.m4:11: gl_FUNC_XATTR is expanded from...
> m4/prereq.m4:28: gl_PREREQ is expanded from...
> m4/jm-macros.m4:22: coreutils_MACROS is expanded from...
> configure.ac:64: the top level
> configure.ac:64: warning: The macro `AC_HELP_STRING' is obsolete.
> configure.ac:64: You should run autoupdate.
> ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
> m4/jm-macros.m4:22: coreutils_MACROS is expanded from...
> configure.ac:64: the top level
> configure.ac:64: warning: The macro `AC_TRY_LINK' is obsolete.
> configure.ac:64: You should run autoupdate.
> ./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
> m4/jm-macros.m4:22: coreutils_MACROS is expanded from...
> configure.ac:64: the top level
> configure.ac:64: warning: The macro `AC_TRY_LINK' is obsolete.
> configure.ac:64: You should run autoupdate.
> ./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
> lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
> lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
> ./lib/autoconf/general.m4:2894: _AC_LINK_IFELSE is expanded from...
> ./lib/autoconf/general.m4:2911: AC_LINK_IFELSE is expanded from...
> ./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
> m4/jm-macros.m4:22: coreutils_MACROS is expanded from...
> configure.ac:64: the top level
> autoreconf: running: /usr/bin/autoheader --include=m4 --force
> autoreconf: running: automake --add-missing --copy --force-missing
> configure.ac:55: installing 'build-aux/compile'
> configure.ac:61: installing 'build-aux/config.guess'
> configure.ac:61: installing 'build-aux/config.sub'
> configure.ac:38: installing 'build-aux/install-sh'
> configure.ac:38: installing 'build-aux/missing'
> Makefile.am: installing './INSTALL'
> Makefile.am: installing 'build-aux/depcomp'
> configure.ac: installing 'build-aux/ylwrap'
> doc/local.mk:19: installing 'build-aux/mdate-sh'
> Makefile.am:213:   'doc/local.mk' included from here
> doc/local.mk:19: error: required file 'build-aux/texinfo.tex' not found
> Makefile.am:213:   'doc/local.mk' included from here
> parallel-tests: installing 'build-aux/test-driver'
> autoreconf: error: automake failed with exit status: 1
> ./bootstrap: autoreconf failed

Here is my analysis of installed prerequisites:
> #-----------------------------------------------------------------------------
> From README-prereqs:
> - Autoconf  <https://www.gnu.org/software/autoconf/>
> - Automake  <https://www.gnu.org/software/automake/>
> - Bison     <https://www.gnu.org/software/bison/>
> - Gettext   <https://www.gnu.org/software/gettext/>
> - Git       <https://git-scm.com/>
> - Gperf     <https://www.gnu.org/software/gperf/>
> - Gzip      <https://www.gnu.org/software/gzip/>
> - Perl      <https://www.cpan.org/>
> - Rsync     <https://rsync.samba.org/>
> - Tar       <https://www.gnu.org/software/tar/>
> - Texinfo   <https://www.gnu.org/software/texinfo/>    # not in bootstrap.conf
> #-----------------------------------------------------------------------------
> From coreutils/bootstrap.conf:
> # Build prerequisites
> buildreq="\
> autoconf   2.64                                 # 2.71-1          is installed
> automake   1.11.2                               # 1.16.3-1        is installed
> autopoint  0.19.2  # gettext in README-prereqs  # 0.21-1          is installed
> bison      -                                    # 3.7.6-1         is installed
> gettext    0.19.2                               # 0.21-1          is installed
> git        1.4.4                                # 2.31.1-1        is installed
> gperf      -                                    # 1.10-1          is installed
> gzip       -                                    # 3.1-1           is installed
> makeinfo   6.1     # texinfo in README-prereqs  # 6.7-1           is installed
> patch      -       # N/A     in README-prereqs  # 2.7.6.17-9c98-1 is installed
> perl       5.5                                  # 5.32.1-1        is installed
> rsync      -                                    # 3.2.3-1         is installed
> tar        -                                    # 1.34-1          is installed
> xz         -                                    # 5.2.5-1         is installed
> "
> #-----------------------------------------------------------------------------
> Installation order of dependencies per execution of
>   prt-get depends autoconf automake bison gettext git \
>                   gperf gzip perl rsync tar texinfo
> -- dependencies ([i] = installed)
> [i] autoconf   2.71-1
> [i] ncurses    6.2-1
> [i] libgmp     6.2.1-1
> [i] db         5.3.28-2
> [i] attr       2.5.1-1
> [i] expat      2.3.0-1
> [i] openssl    1.1.1k-1
> [i] zlib       1.2.11-1
> [i] xz         5.2.5-1
> [i] gperf      3.1-1
> [i] gzip       1.10-1
> [i] tar        1.34-1
> [i] readline   8.1-1
> [i] texinfo    6.7-1
> [i] libmpfr    4.1.0-1
> [i] acl        2.3.1-1
> [i] zstd       1.4.9-1
> [i] gdbm       1.19-1
> [i] gawk       5.1.0-1
> [i] gettext    0.21-1
> [i] rsync      3.2.3-1
> [i] curl       7.76.0-1
> [i] perl       5.32.1-1
> [i] bison      3.7.6-1
> [i] git        2.31.1-1
> [i] automake   1.16.3-1
> #
> [i] patch      2.7.6.17-9c98-1 # patch not included in prt-get command
>                                # patch has no dependencies
> #-----------------------------------------------------------------------------

It appears a texinfo.tex file in a build-aux directory somewhere is not in the
repo being processed.  I did a find / for build-aux/texinfo.tex files in the
system and found:

  Aug 19  2011 /_/l/ZF/_/DF/dlc/Misc/projects/debian/coreutils-8.13/build-aux/texinfo.tex
  Sep  3  2007 /_/l/ZF/_/DF/dlc/Applications/nord.2013/amd64/201309/cscratch/gettext-0.17/build-aux/texinfo.tex
  [ many more like these in the archives for lots of different GNU packages ]
  Apr 24 01:32 /home/dlc/git_area/coreutils/gnulib/build-aux/texinfo.tex

So I expect that last file is not what bootstrap is looking for.

Please assist me with resolving this issue.
-- 
<not cent from sell>
May the LORD God bless you exceedingly abundantly!

Dave_Craig______________________________________________
"So the universe is not quite as you thought it was.
 You'd better rearrange your beliefs, then.
 Because you certainly can't rearrange the universe."
__--from_Nightfall_by_Asimov/Silverberg_________________